#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/Statistics.h"

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace registerfile{
namespace registerfile_multi_banked {


  Statistics::Statistics (string                                      name                       ,
			  morpheo::behavioural::Parameters_Statistics parameters_statistics      ,
			  Parameters                                  parameters
			  ) :
    morpheo::behavioural::Statistics(name                  ,
				     parameters_statistics ),
    _parameters(parameters)
  {
    log_printf(FUNC,RegisterFile_Multi_Banked,"Statistics","Begin");
    log_printf(FUNC,RegisterFile_Multi_Banked,"Statistics","End");
  };
  
  Statistics::~Statistics () 
  { 
    log_printf(FUNC,RegisterFile_Multi_Banked,"~Statistics","Begin");
    log_printf(FUNC,RegisterFile_Multi_Banked,"~Statistics","End");
  };

}; // end namespace registerfile
}; // end namespace registerfile_multi_banked
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
